define("io.ox/calendar/test",["io.ox/core/extensions","io.ox/calendar/util"],function(a,b){"use strict";a.point("test/suite").extend({id:"recurrence-strings",index:100,test:function(a){a.describe("Recurrence strings",function(){var c={day_in_month:13,days:1,interval:1,month:1,recurrence_type:1};a.it("Only works for en_US",function(){a.expect(ox.language).toEqual("en_US")});a.it("Every day",function(){var d=b.getRecurrenceString(c);a.expect(d).toEqual("Every day")});a.it("Every 10 days",function()
{var d;c.interval=10;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 10 days")});a.it("Weekly on Monday",function(){var d;c.days=b.days.MONDAY;c.interval=1;c.recurrence_type=2;d=b.getRecurrenceString(c);a.expect(d).toEqual("Weekly on Monday")});a.it("Weekly on Monday and Tuesday",function(){var d;c.days=b.days.MONDAY|b.days.TUESDAY;d=b.getRecurrenceString(c);a.expect(d).toEqual("Weekly on Monday and Tuesday")});a.it("Weekly on Monday, Tuesday, Wednesday",function(){var d;c.days=b.days.MONDAY|
b.days.TUESDAY|b.days.WEDNESDAY;d=b.getRecurrenceString(c);a.expect(d).toEqual("Weekly on Monday, Tuesday, Wednesday")});a.it("On work days",function(){var d;c.days=62;d=b.getRecurrenceString(c);a.expect(d).toEqual("On work days")});a.it("Weekly on all days -> Every day",function(){var d;c.interval=1;c.days=127;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every day")});a.it("Every 2 weeks on Monday",function(){var d;c.days=b.days.MONDAY;c.interval=2;d=b.getRecurrenceString(c);a.expect(d).toEqual
("Every 2 weeks on Monday")});a.it("Every 2 weeks on Monday, Tuesday, Wednesday",function(){var d;c.days=b.days.MONDAY|b.days.TUESDAY|b.days.WEDNESDAY;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 2 weeks on Monday, Tuesday, Wednesday")});a.it("Every 2 weeks on work days",function(){var d;c.days=62;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 2 weeks on work days")});a.it("Every 2 weeks on all days",function(){var d;c.days=127;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 2 weeks on all days"
)});a.it("Monthly on day 11",function(){var d;c.day_in_month=11;c.days=null;c.interval=1;c.recurrence_type=3;d=b.getRecurrenceString(c);a.expect(d).toEqual("Monthly on day 11")});a.it("Every 2 months on day 11",function(){var d;c.interval=2;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 2 months on day 11")});a.it("Monthly on the first Friday",function(){var d;c.day_in_month=1;c.days=b.days.FRIDAY;c.interval=1;d=b.getRecurrenceString(c);a.expect(d).toEqual("Monthly on the first Friday")});
a.it("Monthly on the last Sunday",function(){var d;c.day_in_month=-1;c.days=b.days.SUNDAY;c.interval=1;d=b.getRecurrenceString(c);a.expect(d).toEqual("Monthly on the last Sunday")});a.it("Every 3 months on the first Friday",function(){var d;c.day_in_month=1;c.days=b.days.FRIDAY;c.interval=3;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 3 months on the first Friday")});a.it("Every 3 months on the last Sunday",function(){var d;c.days=b.days.SUNDAY;c.day_in_month=-1;c.interval=3;d=b.getRecurrenceString
(c);a.expect(d).toEqual("Every 3 months on the last Sunday")});a.it("Yearly on January 29",function(){var d;c.day_in_month=29;c.days=null;c.interval=1;c.month=0;c.recurrence_type=4;d=b.getRecurrenceString(c);a.expect(d).toEqual("Yearly on January 29")});a.it("Every 2 years on January 29",function(){var d;c.interval=2;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 2 years on January 29")});a.it("Yearly on the first Friday of July",function(){var d;c.day_in_month=1;c.days=b.days.FRIDAY;c.interval=1
;c.month=6;d=b.getRecurrenceString(c);a.expect(d).toEqual("Yearly on the first Friday of July")});a.it("Every 2 years on the first Friday of July",function(){var d;c.day_in_month=1;c.days=b.days.FRIDAY;c.interval=2;c.month=6;d=b.getRecurrenceString(c);a.expect(d).toEqual("Every 2 years on the first Friday of July")})})}})});